### A free/open-source library for quantitative finance

Public Member Functions
MarketModelPathwiseCoterminalSwaptionsDeflated Class Reference

`#include <ql/models/marketmodels/products/pathwise/pathwiseproductswaption.hpp>`

Inheritance diagram for MarketModelPathwiseCoterminalSwaptionsDeflated:
[legend]

List of all members.

## Public Member Functions

| MarketModelPathwiseCoterminalSwaptionsDeflated (const std::vector< Time > &rateTimes, const std::vector< Rate > &strikes)
virtual std::vector< Size > | suggestedNumeraires () const
virtual const EvolutionDescription & | evolution () const
virtual std::vector< Time > | possibleCashFlowTimes () const
virtual Size | numberOfProducts () const
virtual Size | maxNumberOfCashFlowsPerProductPerStep () const
virtual bool | alreadyDeflated () const
virtual void | reset ()
| during simulation put product at start of path
virtual bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< MarketModelPathwiseMultiProduct::CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
virtual std::auto_ptr < MarketModelPathwiseMultiProduct > | clone () const
| returns a newly-allocated copy of itself

## Detailed Description

Main use is to test market pathwise vegas. The swaptions are payers and co-terminal. The class is tested in TestPathwiseVegas by running against the numerical version below.